Bug 168812 - EMBOSS execution issue with gcc-3.2.3-52.x86_64
EMBOSS execution issue with gcc-3.2.3-52.x86_64
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: gcc (Show other bugs)
3.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-20 10:53 EDT by Tru Huynh
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-20 15:25:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tru Huynh 2005-09-20 10:53:57 EDT
Description of problem:
gcc-3.2.3-52.x86_64 can't compile a proper EMBOSS-3.0.0 version
stock gcc-3.4.3 is ok

Version-Release number of selected component (if applicable):
gcc-3.2.3-52.x86_64

How reproducible:
always

Steps to Reproduce:
1.wget ftp://ftp.uk.embnet.org/pub/EMBOSS/EMBOSS-3.0.0.tar.gz
2. tar xzvf EMBOSS-3.0.0.tar.gz
3. cd EMBOSS-3.0.0 ; ./configure; make
4. ./emboss/embossversion
  
Actual results:
[tru@bobo EMBOSS-3.0.0]$ ./emboss/embossversion
Segmentation fault (core dumped)

Expected results:
[tru@sillage EMBOSS-3.0.0]$ ./emboss/embossversion 
Writes the current EMBOSS version number
3.0.0


Additional info:
Comment 1 Jakub Jelinek 2005-09-20 15:25:46 EDT
That can very likely be application bug, the fact that it passes with one
compiler and doesn't with another one doesn't say anything, the program can
still be in undefined code territory.
For a bug to be filed here, you need to debug it yourself and only if you prove
it is compiler bug, you need to create a (small) self-contained testcase and
attach it here.

Alternatively, if you have Red Hat support contract, you can deal with it that
way.
Comment 2 Tru Huynh 2005-09-22 09:35:13 EDT
For what it's worth, the same behaviour is observed on 3.6beta version
gcc-3.2.3-53.x86_64/glibc-devel-2.3.2-95.35.x86_64.

I will try to come up with a shorter testcase.

Note You need to log in before you can comment on or make changes to this bug.